Ubuntu Download Manager: Ubuntu::DownloadManager::ProcessError Class Reference

Ubuntu Download Manager 1.2.0 A session-wide downloading service |

Public Member Functions | Protected Member Functions | List of all members
Ubuntu::DownloadManager::ProcessError Class Reference

The ProcessError represents an error that occurred during the post processing of a downloaded file. More...

`#include <error.h>`

Inheritance diagram for Ubuntu::DownloadManager::ProcessError:
Collaboration diagram for Ubuntu::DownloadManager::ProcessError:

## Public Member Functions
virtual | ~ProcessError ()
QProcess::ProcessError | code ()
QString | phrase ()
int | exitCode ()
QString | standardOut ()
QString | standardError ()
QString | errorString () override
Public Member Functions inherited from Ubuntu::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions
| ProcessError (Transfers::Errors::ProcessErrorStruct err, QObject *parent)
Protected Member Functions inherited from Ubuntu::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Additional Inherited Members
Public Types inherited from Ubuntu::DownloadManager::Error
enum | Type { Auth, DBus, Http, Network, Process, Hash }

## Detailed Description

The ProcessError represents an error that occurred during the post processing of a downloaded file.

Since
  0.3

Definition at line 401 of file error.h.

## Constructor & Destructor Documentation

## ◆ ~ProcessError()

Ubuntu::DownloadManager::ProcessError::~ProcessError | ( |  | ) |
| virtual

Disposes of this error and frees any resources associated with it.

Definition at line 409 of file error.cpp.

## ◆ ProcessError()

Ubuntu::DownloadManager::ProcessError::ProcessError | ( | Transfers::Errors::ProcessErrorStruct | err,
|  | QObject * | parent
| ) |  |
| protected

Creates a new error from the provided process error struct.

Definition at line 403 of file error.cpp.

## Member Function Documentation

## ◆ code()

QProcess::ProcessError Ubuntu::DownloadManager::ProcessError::code | ( |  | ) |

/fn QProcess::ProcessError code()

Returns the code of the process error.

Definition at line 420 of file error.cpp.

## ◆ errorString()

QString Ubuntu::DownloadManager::ProcessError::errorString | ( |  | ) |
| overridevirtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Ubuntu::DownloadManager::Error.

Definition at line 444 of file error.cpp.

## ◆ exitCode()

int Ubuntu::DownloadManager::ProcessError::exitCode | ( |  | ) |

/fn int exitCode()

Returns the exit code of the executed process.

Definition at line 426 of file error.cpp.

## ◆ phrase()

QString Ubuntu::DownloadManager::ProcessError::phrase | ( |  | ) |

/fn QString phrase()

Returns a human readable explanation of the occurred process error.

Definition at line 414 of file error.cpp.

## ◆ standardError()

QString Ubuntu::DownloadManager::ProcessError::standardError | ( |  | ) |

/fn QString standardError()

Returns the standard error of the executed process.

Definition at line 438 of file error.cpp.

## ◆ standardOut()

QString Ubuntu::DownloadManager::ProcessError::standardOut | ( |  | ) |

/fn QString standardOut()

Returns the standard output of the executed process.

Definition at line 432 of file error.cpp.

The documentation for this class was generated from the following files:

- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.h
- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.cpp